.default {
  display: flex;
  flex-direction: column-reverse;
  align-items: flex-start;
  margin: 0;
  position: relative;
}

.option {
  display: flex;
  align-items: center;
  padding: 2px;
  height: 16px;
  background: #051326;
  position: relative;
}

.default > input[type="text"],
.default > input[type="date"] {
  background: #ffffff;
  border: 0.855782px solid #848595;
  box-sizing: border-box;
  border-radius: 5px;
  padding: 8px;
  font-family: Helvetica;
  font-style: normal;
  font-weight: normal;
  font-size: 9.41361px;
  line-height: 11px;
}

.default > input[type="text"] {
  width: 130px;
}

.default > input[type="date"] {
  width: 80px;
  padding: 6px 8px 8px 8px;
}

.default > input[type="date"]:disabled {
  background-color: lightgray;
}

.default > input[type="date"]::-webkit-datetime-edit {
  line-height: 11px;
}

.default > input[type="date"]::-webkit-calendar-picker-indicator {
  display: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.option > input[type="radio"] {
  cursor: pointer;
  vertical-align: text-bottom;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 2px solid #8f90a0;
  border-radius: 1.125rem;
  width: 14px;
  height: 14px;
}

.option > input[type="radio"]:checked {
  border-color: #0770e3;
}

.circle {
  position: absolute;
  top: 0.38rem;
  left: 0.33rem;
  display: none;
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  background: #0770e3;
  transform: scale(0.7);
}

input[type="radio"]:checked + .circle {
  display: inline;
}

.default > label,
.option > label {
  cursor: pointer;
  position: static;
  height: 11px;
  font-size: 10px;
  line-height: 11px;
  color: #ffffff;
  flex: none;
  order: 1;
  flex-grow: 0;
  margin: 0px 4px;
}

.default > label {
  line-height: 9px;
  padding-bottom: 2px;
}

.default > input[type="text"].invalid,
.default > input[type="date"].invalid {
  border: 1px solid red;
  background: #f8d8d8;
}